Summary: Crypt::SSLeay - OpenSSL glue that provides LWP https support
Name: perl-Crypt-SSLeay
Version: 0.45
Release: 2
License: distributable
Group: Applications/CPAN
Source0: Crypt-SSLeay-%{version}.tar.gz
Patch0: perl-Crypt-SSLeay-cryptdef.patch
Patch1: perl-Crypt-SSLeay-dirnamefix.patch
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-Crypt-SSLeay-buildroot/
BuildRequires: perl >= 0:5.00503 openssl-devel perl-URI
Requires: perl >= 0:5.00503 openssl

%description
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD & POST
requests. Please see perldoc LWP for more information on POST
requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Crypt-SSLeay-%{version} 
%patch0 -p1 -b .cryptdef
#%%patch1 -p1 -b .dirnamefix

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor < /dev/null
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > Crypt-SSLeay-%{version}-filelist
if [ "$(cat Crypt-SSLeay-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Crypt-SSLeay-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Tue Jun 25 2002 Chip Turner <cturner@redhat.com>
- move to 0.39

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
